# Enum ethcore::restoration_status::RestorationStatus [−] [src]

    pub enum RestorationStatus {
        Inactive,
        Ongoing {
            state_chunks: u32,
            block_chunks: u32,
            state_chunks_done: u32,
            block_chunks_done: u32,
        },
        Failed,
    }

Statuses for restorations.

## Variants

`Inactive`

No restoration.

`Ongoing`

Ongoing restoration.

### Fields

`state_chunks: u32` | Total number of state chunks.
`block_chunks: u32` | Total number of block chunks.
`state_chunks_done: u32` | Number of state chunks completed.
`block_chunks_done: u32` | Number of block chunks completed.

`Failed`

Failed restoration.

## Trait Implementations

### `impl PartialEq for RestorationStatus`
[src]

#### `fn eq(&self, __arg_0: &RestorationStatus) -> bool`

This method tests for `self` and `other` values to be equal, and is used by `==`. Read more

#### `fn ne(&self, __arg_0: &RestorationStatus) -> bool`

This method tests for `!=`.

### `impl Eq for RestorationStatus`
[src]

### `impl Clone for RestorationStatus`
[src]

#### `fn clone(&self) -> RestorationStatus`

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0

Performs copy-assignment from `source`. Read more

### `impl Copy for RestorationStatus`
[src]

### `impl Debug for RestorationStatus`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)